Bug 177742 - can't use rawhide grub to fix FC4 install
Summary: can't use rawhide grub to fix FC4 install
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-13 17:22 UTC by Alexandre Oliva
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 20:53:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2006-01-13 17:22:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
If I try to recover from bug 127557 on the newly-booted session, issuing on the rawhide grub the following commands:

(grub) root (hd0,0)   # the FC4 /boot partition
(grub) setup (hd0)

the system will become unbootable.  On a Dell Inspiron 8000 (PIII 1.0GHz), attempting to reboot will print blanks over and over, and finally print a portion of the BIOS and freeze.  On a Compaq Presarion R3004US (AMD64), it will just sit there forever.

If grub can no longer be used to fix older installs, this should probably be documented somewhere and, ideally, grub wouldn't let you shoot yourself in the foot like that.

Version-Release number of selected component (if applicable):
grub-0.97-1

How reproducible:
Always

Steps to Reproduce:
1.Tell rawhide grub to setup the MBR to boot from an FC4 /boot partition

Actual Results:  It will happily render the system unbootable

Expected Results:  It used to work.  If it no longer does, it should probably tell you so, or even refuse to break stuff.

Additional info:

Comment 1 Jeremy Katz 2006-01-31 20:53:04 UTC
There's never been any guarantee for this to work, you've just been lucky and
_happened_ to have it work.


Note You need to log in before you can comment on or make changes to this bug.